g++ internal compiler error when trying to build OpenSceneGraph 2.8.3

Bug #560135 reported by Cedric Pinson on 2010-04-10
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
gcc-defaults
Invalid
Undecided
Unassigned
eglibc (Ubuntu)
High
Unassigned
Lucid
High
Unassigned

Bug Description

On Lucid 10.04 with gcc/g++ (Ubuntu 4.4.3-4ubuntu5) 4.4.3

To reproduce it, get http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-2.8.3/source/OpenSceneGraph-2.8.3.zip

you will need cmake too
mine is cmake version 2.8.0 from the lucid package

unzip OpenSceneGraph-2.8.3.zip
cd OpenSceneGraph-2.8.3
mkdir build
cd build
cmake ../
make

cd /tmp/OpenSceneGraph-2.8.3/build-debug/src/osg && /usr/bin/c++ -Dosg_EXPORTS -DOSG_DEBUG_POSTFIX=d -DOSG_LIBRARY -Wall -Wparentheses -Wno-long-long -Wno-import -pedantic -Wreturn-type -Wmissing-braces -Wunknown-pragmas -Wunused -fpermissive -fPIC -I/tmp/OpenSceneGraph-2.8.3/build-debug/include -I/tmp/OpenSceneGraph-2.8.3/include -o CMakeFiles/osg.dir/AlphaFunc.o -c /tmp/OpenSceneGraph-2.8.3/src/osg/AlphaFunc.cpp
In file included from /usr/include/c++/4.4/vector:64,
                 from /tmp/OpenSceneGraph-2.8.3/include/osg/StateAttribute:24,
                 from /tmp/OpenSceneGraph-2.8.3/include/osg/AlphaFunc:17,
                 from /tmp/OpenSceneGraph-2.8.3/src/osg/AlphaFunc.cpp:14:
/usr/include/c++/4.4/bits/stl_uninitialized.h:291: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.4/README.Bugs> for instructions.
make[2]: *** [src/osg/CMakeFiles/osg.dir/AlphaFunc.o] Error 1
make[2]: Leaving directory `/tmp/OpenSceneGraph-2.8.3/build-debug'
make[1]: *** [src/osg/CMakeFiles/osg.dir/all] Error 2
make[1]: Leaving directory `/tmp/OpenSceneGraph-2.8.3/build-debug'
make: *** [all] Error 2

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: gcc 4:4.4.3-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Sat Apr 10 16:51:59 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: gcc-defaults

Related branches

Cedric Pinson (cedric-pinson) wrote :
Cedric Pinson (cedric-pinson) wrote :

I tried with gcc 4.3 and gcc snapshot. I have the same problem 'internal compiler error: Segmentation fault' but for other version it's not at the same file.
Would it be possible that the bug comes from a dependencies ? like libc or something like that ?

I am still stuck because of this bug, if anyone can help. It ll appreciate a lot.

Matthias Klose (doko) wrote :

> Please submit a full bug report,
> with preprocessed source if appropriate.
> See <file:///usr/share/doc/gcc-4.4/README.Bugs> for instructions.

please do so. stating which preprocessed source was produced with which compiler

Changed in gcc-defaults (Ubuntu):
status: New → Incomplete
Cedric Pinson (cedric-pinson) wrote :

Well i think it's really specific to lucid, because i am able to build OpenSceneGraph on gentoo with gcc 4.3 and gcc 4.4
and with previous version of ubuntu

Matthias Klose (doko) wrote :

no offense, but please could we stop the guessing? please attach the preprocessed source to the report so that it can be reproduced.

openscenegraph just built fine yesterday:
https://edge.launchpad.net/ubuntu/+source/openscenegraph/2.8.1-1.1build1

Matthias Klose (doko) wrote :

Building the attached source here with g++ -c -fpermissive -fPIC AlphaFunc.ii doesn't crash, checked with 4.3, 4.4 and the snapshot. Adding -g, and -O, -O2, -O3 doesn't change that.

unreproducible.

Cedric Pinson (cedric-pinson) wrote :

and following the full process as described here:

wget http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-2.8.3/source/OpenSceneGraph-2.8.3.zip
unzip OpenSceneGraph-2.8.3.zip
cd OpenSceneGraph-2.8.3
mkdir build
cd build
cmake ../
make

does not result with an internal compiler error ?
If it works for you on lucid, then it means something is weird on my laptop ? would you have some clue where i can look at it ?

Cedric Pinson (cedric-pinson) wrote :

I just tested to compile the file only without running make and it compiles fine. so i will continue to dig ... i will look closer to the tool chain starting with cmake/make

Cedric Pinson (cedric-pinson) wrote :

I have added my output http://www.pastebin.org/149378 if someone can help ...

Johan Euphrosine (proppy) wrote :

I've managed to reproduce the internal compiler error using the provided instruction:
http://paste.ubuntu.com/413812/

However when calling directly the gcc command line generated by cmake it doesn't segfault anymore:
http://paste.ubuntu.com/413814/

I attached the preprocessed file thought.

?field.comment=I've managed to reproduce the internal compiler error using the provided instruction:
http://paste.ubuntu.com/413812/

However when calling directly the gcc command line generated by cmake it doesn't segfault anymore:
http://paste.ubuntu.com/413814/

I attached the preprocessed file thought.

Johan Euphrosine (proppy) wrote :

Oups, launchpad scrambled my comments.

It might be usefull to try to add -save-temp to gcc command line generated by cmake, in order to have a preprocessed file in the context of the internal compiler error.

Cedric Pinson (cedric-pinson) wrote :

I did a test like listing all command line to put them in a script then running this script to build the project. I executed this script, some .cpp files have been built but i saw some that fails with the gcc internal error.
After i tried to run again make to test, and i was able to build the files that failed with the script.

I dont really know what to think, i would think to an hardware problem, but it seems that we can repeat the process and have the same error.

I asked to someone on the irc to build it and he was able to build successfully the project. My hardware is lenovo w510 with icore 7 820Q

dont know if it's related or not with hardware, any idea will be appreciated

Johan Euphrosine (proppy) wrote :

After adding -save-temps to CXX_DEFINES in build/src/osg/CMakeFiles/osg.dir/flags.make all the files of libosg compiles fine:

Linking CXX shared library ../../lib/libosg.so
[ 14%] Built target osg

It seems adding -save-temps to compilation flags workaround the internal compiler errors.

JohnFlux (johnflux) wrote :

I had exactly the same problem when compiling kdelibs:

# /home/johnflux/kdesvn/kdelibs/kjs/wtf/HashSet.h:124: internal compiler error: Segmentation fault
# Please submit a full bug report,
# with preprocessed source if appropriate.

And, likewise, it did not crash if I ran the gcc command directly. It only crashes if I run it via 'make' (cmake).

JohnFlux (johnflux) wrote :
Download full text (8.0 KiB)

johnflux@johnflux-desktop:~/kdesvn/build/kdelibs/kjsembed/kjsembed$ make VERBOSE=1 -j 1

....
make[2]: Leaving directory `/home/johnflux/kdesvn/build/kdelibs'
/usr/bin/make -f kjsembed/kjsembed/CMakeFiles/kjsembed.dir/build.make kjsembed/kjsembed/CMakeFiles/kjsembed.dir/build
make[2]: Entering directory `/home/johnflux/kdesvn/build/kdelibs'
/usr/bin/cmake -E cmake_progress_report /home/johnflux/kdesvn/build/kdelibs/CMakeFiles
[ 88%] Building CXX object kjsembed/kjsembed/CMakeFiles/kjsembed.dir/jseventutils.o
cd /home/johnflux/kdesvn/build/kdelibs/kjsembed/kjsembed && /usr/bin/c++ -DMAKE_KJSEMBED_LIB -D_BSD_SOURCE -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden -O2 -g -DNDEBUG -DQT_NO_DEBUG -fPIC -I/home/johnflux/kdesvn/build/kdelibs/kjsembed/kjsembed -I/home/johnflux/kdesvn/kdelibs/kjsembed/kjsembed -I/home/johnflux/kdesvn/kdelibs -I/home/johnflux/kdesvn/build/kdelibs -I/home/johnflux/kdesvn/kdelibs/interfaces -I/home/johnflux/kdesvn/kdelibs/kjsembed -I/home/johnflux/kdesvn/kdelibs/kjs -I/home/johnflux/kdesvn/build/kdelibs/kjs -I/home/johnflux/kdesvn/kdelibs/kdecore -I/home/johnflux/kdesvn/build/kdelibs/kdecore -I/home/johnflux/kdesvn/kdelibs/kdecore/compression -I/home/johnflux/kdesvn/kdelibs/kdecore/config -I/home/johnflux/kdesvn/kdelibs/kdecore/date -I/home/johnflux/kdesvn/kdelibs/kdecore/io -I/home/johnflux/kdesvn/kdelibs/kdecore/jobs -I/home/johnflux/kdesvn/kdelibs/kdecore/kernel -I/home/johnflux/kdesvn/kdelibs/kdecore/auth -I/home/johnflux/kdesvn/kdelibs/kdecore/network -I/home/johnflux/kdesvn/kdelibs/kdecore/services -I/home/johnflux/kdesvn/kdelibs/kdecore/localization -I/home/johnflux/kdesvn/kdelibs/kdecore/sycoca -I/home/johnflux/kdesvn/kdelibs/kdecore/text -I/home/johnflux/kdesvn/kdelibs/kdecore/util -I/home/johnflux/kdesvn/kdelibs/kdecore/sonnet -I/usr/include/QtCrypto -I/usr/include/qt4/phonon -I/usr/include/qt4/QtXmlPatterns -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtMultimedia -I/usr/include/qt4/QtHelp -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtDBus -I/usr/include/qt4/QtAssistant -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -o CMakeFiles/kjsembed.dir/jseventutils.o -c /home/johnflux/kdesvn/kdelibs/kjsembed/kjsembed/jseventutils.cpp
In file included from /home/johnflux/kdesvn/kdelibs/kjs/PropertyNameArray.h:27,
                 from /home/johnflux/kdesvn/kdelibs/kjs/ExecState.h:35,
                 from /home/johnflux/kdesvn/kdelibs/kjs/interpreter.h:27,
                 f...

Read more...

Johan Euphrosine (proppy) wrote :

I attached minimal test case that I believe reproduce this issue, the only code left from osg is <include> directive, I included included GL headers and try to remove part of them that don't trigger the ICE.

Johan Euphrosine (proppy) wrote :

proppy@murasaki:/tmp$ wget http://launchpadlibrarian.net/44231243/osg-ice.tgz
--2010-04-15 08:45:45-- http://launchpadlibrarian.net/44231243/osg-ice.tgz
Resolving launchpadlibrarian.net... 91.189.89.229, 91.189.89.228
Connecting to launchpadlibrarian.net|91.189.89.229|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 81029 (79K) [application/x-tar]
Saving to: `osg-ice.tgz'

100%[======================================>] 81,029 312K/s in 0.3s

2010-04-15 08:45:45 (312 KB/s) - `osg-ice.tgz' saved [81029/81029]

proppy@murasaki:/tmp$ tar xvzf osg-ice.tgz
osg-ice/
osg-ice/AlphaFunc.cpp
osg-ice/Makefile
osg-ice/include/
osg-ice/include/GL/
osg-ice/include/GL/glext.h
osg-ice/include/GL/gl.h
osg-ice/include/osg/
osg-ice/include/osg/Object
osg-ice/include/osg/AlphaFunc
osg-ice/include/osg/StateAttribute
osg-ice/include/osg/GL
proppy@murasaki:/tmp$ cd osg-ice/
proppy@murasaki:/tmp/osg-ice$ make
/usr/bin/c++ -Dosg_EXPORTS -DOSG_DEBUG_POSTFIX=d -DOSG_LIBRARY -Wall -Wparentheses -Wno-long-long -Wno-import -pedantic -Wreturn-type -Wmissing-braces -Wunknown-pragmas -Wunused -fpermissive -fPIC -Ibuild/include -Iinclude -o AlphaFunc.o -c AlphaFunc.cpp
In file included from /usr/include/c++/4.4/vector:66,
                 from include/osg/StateAttribute:4,
                 from include/osg/AlphaFunc:1,
                 from AlphaFunc.cpp:1:
/usr/include/c++/4.4/bits/stl_bvector.h:901: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.4/README.Bugs> for instructions.
make: *** [AlphaFunc.o] Error 1

Johan Euphrosine (proppy) wrote :

I attached a new minimal test case, with original GL includes.

JohnFlux (johnflux) wrote :

johnflux@johnflux-desktop:~/osg-ice$ cp /usr/include/GL/gl.h include/GL/gl.h
johnflux@johnflux-desktop:~/osg-ice$ make
makeobj[0]: Entering directory `/home/johnflux/osg-ice'
/usr/bin/c++ -Dosg_EXPORTS -DOSG_DEBUG_POSTFIX=d -DOSG_LIBRARY -Wall -Wparentheses -Wno-long-long -Wno-import -pedantic -Wreturn-type -Wmissing-braces -Wunknown-pragmas -Wunused -fpermissive -fPIC -Ibuild/include -Iinclude -o AlphaFunc.o -c AlphaFunc.cpp
makeobj[0]: Leaving directory `/home/johnflux/osg-ice'

JohnFlux (johnflux) wrote :

Same - works for me

johnflux@johnflux-desktop:~/osg-ice$ make
makeobj[0]: Entering directory `/home/johnflux/osg-ice'
/usr/bin/c++ -Dosg_EXPORTS -DOSG_DEBUG_POSTFIX=d -DOSG_LIBRARY -Wall -Wparentheses -Wno-long-long -Wno-import -pedantic -Wreturn-type -Wmissing-braces -Wunknown-pragmas -Wunused -fpermissive -fPIC -Ibuild/include -Iinclude -o AlphaFunc.o -c AlphaFunc.cpp
makeobj[0]: Leaving directory `/home/johnflux/osg-ice'
johnflux@johnflux-desktop:~/osg-ice$

JohnFlux (johnflux) wrote :

I do get an ICE with openscenegraph:
[ 0%] Building CXX object src/osg/CMakeFiles/osg.dir/AnimationPath.o
In file included from /usr/include/c++/4.4/vector:69,
                 from /home/johnflux/OpenSceneGraph-2.8.3/include/osg/StateAttribute:24,
                 from /home/johnflux/OpenSceneGraph-2.8.3/include/osg/StateSet:18,
                 from /home/johnflux/OpenSceneGraph-2.8.3/include/osg/Node:19,
                 from /home/johnflux/OpenSceneGraph-2.8.3/include/osg/Group:17,
                 from /home/johnflux/OpenSceneGraph-2.8.3/include/osg/Transform:17,
                 from /home/johnflux/OpenSceneGraph-2.8.3/include/osg/MatrixTransform:17,
                 from /home/johnflux/OpenSceneGraph-2.8.3/src/osg/AnimationPath.cpp:14:
/usr/include/c++/4.4/bits/vector.tcc:188: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.4/README.Bugs> for instructions.

JohnFlux (johnflux) wrote :

My machine:

model name : Intel(R) Core(TM) i5 CPU 750 @ 2.67GHz
4GB of ram
32bit version of ubuntu.

Johan's machine:

model name: Intel(R) Core(TM) i7 CPU Q 820 @ 1.73GHz
4GB of ram
32bit version of ubuntu.

Please post your machine specs if you can reproduce this bug (and post if you can't with gcc 4.4.3 )

Cedric Pinson (cedric-pinson) wrote :

Cedric's machine:

model name: Intel(R) Core(TM) i7 CPU Q 820 @ 1.73GHz
4GB of ram
32bit version of ubuntu.

Matthias Klose (doko) wrote :

please could you install the eglibc package from

  deb http://ppa.launchpad.net/doko/ppa/ubuntu lucid main

and recheck?

Changed in gcc-defaults:
status: New → Invalid
Matthias Klose (doko) wrote :

there's another test package (but please check the one mentioned in comment #25 first):

  deb http://ppa.launchpad.net/ubuntu-toolchain/ppa/ubuntu lucid main

the first test package disables the multiarch feature in eglibc completely, the second one fixes a bug in the 32bit packages.

Cedric Pinson (cedric-pinson) wrote :

I tried the comment #25
root@trigrou-laptop:/home/trigrou# apt-cache search eglibc
eglibc-source - Embedded GNU C Library: sources

but it seems to only have the source in the tree

then i added the second repository in #26
root@trigrou-laptop:/home/trigrou# apt-cache search eglibc
eglibc-source - Embedded GNU C Library: sources

Did i miss something ?

Matthias Klose (doko) wrote :

- did you add the line to /etc/apt/sources.list?
- did you run apt-get update?
- did you run apt-get install libc6?

Cedric Pinson (cedric-pinson) wrote :

No i did not do apt-get install libc6
I wanted to be sure :)

i just installed the libc6 from #25 and i can't reproduce the bug anymore, so it seems to fix the issue.

Thank you for your helps.

What should i do now ? stay with the version #25 or do anything else ?

Cedric

Matthias Klose (doko) wrote :

yes, please remove the lines in sources.list from #25, and add the one from #26, then repeat the steps from #28, and report results again (make sure that you run make clean, or start a fresh build).

  Matthias

Cedric Pinson (cedric-pinson) wrote :

I removed the lines in sources.list from #25 and add the one from #26
I started from a fresh build:
and i have the ice:

trigrou@trigrou-laptop:/tmp/OpenSceneGraph-2.8.3/build$ make
[ 0%] Building CXX object src/OpenThreads/pthreads/CMakeFiles/OpenThreads.dir/PThread.o
[ 0%] Building CXX object src/OpenThreads/pthreads/CMakeFiles/OpenThreads.dir/PThreadBarrier.o
[ 0%] Building CXX object src/OpenThreads/pthreads/CMakeFiles/OpenThreads.dir/PThreadCondition.o
[ 0%] Building CXX object src/OpenThreads/pthreads/CMakeFiles/OpenThreads.dir/PThreadMutex.o
[ 0%] Building CXX object src/OpenThreads/pthreads/CMakeFiles/OpenThreads.dir/__/common/Version.o
[ 0%] Building CXX object src/OpenThreads/pthreads/CMakeFiles/OpenThreads.dir/__/common/Atomic.o
Linking CXX shared library ../../../lib/libOpenThreads.so
[ 0%] Built target OpenThreads
[ 0%] Building CXX object src/osg/CMakeFiles/osg.dir/AlphaFunc.o
In file included from /usr/include/c++/4.4/vector:64,
                 from /tmp/OpenSceneGraph-2.8.3/include/osg/StateAttribute:24,
                 from /tmp/OpenSceneGraph-2.8.3/include/osg/AlphaFunc:17,
                 from /tmp/OpenSceneGraph-2.8.3/src/osg/AlphaFunc.cpp:14:
/usr/include/c++/4.4/bits/stl_uninitialized.h:291: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.4/README.Bugs> for instructions.
make[2]: *** [src/osg/CMakeFiles/osg.dir/AlphaFunc.o] Error 1
make[1]: *** [src/osg/CMakeFiles/osg.dir/all] Error 2
make: *** [all] Error 2

Johan Euphrosine (proppy) wrote :

no ICE with #25
ICE with #26
[ 0%] Building CXX object src/osg/CMakeFiles/osg.dir/AlphaFunc.o
In file included from /usr/include/c++/4.4/vector:64,
                 from /home/proppy/Desktop/osg/OpenSceneGraph-2.8.3/include/osg/StateAttribute:24,
                 from /home/proppy/Desktop/osg/OpenSceneGraph-2.8.3/include/osg/AlphaFunc:17,
                 from /home/proppy/Desktop/osg/OpenSceneGraph-2.8.3/src/osg/AlphaFunc.cpp:14:
/usr/include/c++/4.4/bits/stl_uninitialized.h:291: internal compiler error: Segmentation fault

Matthias Klose (doko) on 2010-04-16
affects: gcc-defaults (Ubuntu) → eglibc (Ubuntu)
Matthias Klose (doko) on 2010-04-16
Changed in eglibc (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-10.04
status: Incomplete → Fix Committed
Johan Euphrosine (proppy) wrote :

How can we revert back to the previous packages using apt,

I've tried the following command without success:

proppy@murasaki:~$ sudo apt-get --reinstall -f install libc-bin libc-dev-bin libc6-i686 libc6-dbg libc6-dev libc6-dev libc6
[sudo] password for proppy:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reinstallation of libc-bin is not possible, it cannot be downloaded.
Reinstallation of libc-dev-bin is not possible, it cannot be downloaded.
Reinstallation of libc6-i686 is not possible, it cannot be downloaded.
Reinstallation of libc6-dbg is not possible, it cannot be downloaded.
Reinstallation of libc6-dev is not possible, it cannot be downloaded.
Reinstallation of libc6-dev is not possible, it cannot be downloaded.

Should I download each package and run dpkg -i ?

Thanks in advance.

Matthias Klose (doko) wrote :

please update again from the PPA mentioned in comment #26 (to the ~ppa3) version.

Vinson Lee (vlee) wrote :

I am running 32-bit Lucid on Intel Core i7 CPU 920 and am also seeing a GCC ICE. This is with glean. I did not try OpenSceneGraph.

gcc: 4:4.4.3-1ubuntu1
libc6: 2.11.1-0ubuntu5

$ git clone git://glean.git.sourceforge.net/gitroot/glean/glean
$ cd glean
$ scons -C src
g++ -o glean/build/linux-x86-debug/glean/geomrend.o -c -O0 -g3 -m32 -Wall -Wmissing-field-initializers -Wpointer-arith -fmessage-length=0 -D__UNIX__ -D__X11__ -Iglh -Ilibs/dsurf -Ilibs/image -Ilibs/lex -Ilibs/rand -Ilibs/stats -Ilibs/timer -Iglext glean/geomrend.cpp
In file included from /usr/include/c++/4.4/algorithm:62,
                 from glean/geomrend.cpp:40:
/usr/include/c++/4.4/bits/stl_algo.h:2194: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.4/README.Bugs> for instructions.

I do not get the GCC ICE on these processors.
Intel Core 2 Duo CPU T7500
Intel Core 2 Duo CPU E7400
Genuine Intel CPU 1300

Matthias Klose (doko) wrote :

@vlee: thanks for the "me too", but please could you recheck using the binaries from comment #26?

Vinson Lee (vlee) wrote :

libc6: 2.11.1-0ubuntu6~ppa3

Both glean and OpenSceneGraph-2.8.3 successfully compiled on the Intel Core i7 CPU 920.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eglibc - 2.11.1-0ubuntu6

---------------
eglibc (2.11.1-0ubuntu6) lucid; urgency=low

  [ Kees Cook ]
  * [BZ #11333], Handle unnecessary padding in getdents64. LP: #392501.

  [ Matthias Klose ]
  * Apply from the 2.11-x86 branch:
    - Fix bugs in strcmp-sse4.S and strcmp-ssse3.S (H.J. Lu). LP: #563291.
    - Fix bugs in memcpy-ssse3. LP: #560135.
  * Assign global scope to RFC 1918 addresses in getaddrinfo(). Thanks
    Tore Anderson. LP: #555210.
  * Re-enable the local-ipv6-lookup patch. Addresses #417757.
 -- Matthias Klose <email address hidden> Sun, 18 Apr 2010 00:05:05 +0200

Changed in eglibc (Ubuntu Lucid):
status: Fix Committed → Fix Released
Johan Euphrosine (proppy) wrote :

No more ICE when compiling OpenSceneGraph after updating to 2.11.1-0ubuntu6, thanks a lot.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers